#!/bin/sh

# Copyright (C) 2017, 2018, 2019 Karl Landstrom <karl@miasap.se>
#
# This file is part of OBNC.
#
# OBNC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OBNC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OBNC.  If not, see <http://www.gnu.org/licenses/>.

set -o nounset

EndsWith()
{
	local suffix="$1"
	local target="$2"

	test "${target%$suffix}" != "$target"
}

readonly selfDirPath="$(cd "$(dirname "$0")"; pwd -P)"
readonly packagePath="$(dirname "$selfDirPath")"

path="$(env OBNC_IMPORT_PATH='' "$selfDirPath/obnc-path" Out | tr '\\' '/')"
exitStatus="$?"
expectedResult="$packagePath/lib/obnc"

if [ "$exitStatus" -eq 0 ]; then
	#NOTE: In MinGW on Windows the path returned by obnc-path ends with $selfDirPath
	if ! EndsWith "$expectedResult" "$path"; then
		echo "$(basename "$0") failed: result: '$path', expected result: $expectedResult" >&2
		exit 1
	fi
else
	echo "$(basename "$0") failed: exit status: $exitStatus" >&2
	exit 1
fi
